path: /build/build/sox-media-sound-14.4.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="alsa amr ao encode flac id3tag ladspa mad ogg opus png pulseaudio sndfile twolame wavpack" emerge media-sound/sox -pv -t && \
    USE="alsa amr ao encode flac id3tag ladspa mad ogg opus png pulseaudio sndfile twolame wavpack" emerge -j ${JOBS} --nodeps media-sound/sox
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sox && luet-portage --dir /pkgdir/sox
    media-sound/sox && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: sox
    version: 14.4.2
    category: media-sound
    use_flags:
    - alsa
    - amr
    - ao
    - encode
    - flac
    - id3tag
    - ladspa
    - mad
    - ogg
    - opus
    - png
    - pulseaudio
    - sndfile
    - twolame
    - wavpack
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The swiss army knife of sound processing programs
    uri:
    - http://sox.sourceforge.net
    license: LGPL-2.1
    buildtimestamp: 2023-10-07 07:04:39.256055925 +0000 UTC m=+433.176709839
    labels:
      DEPEND: dev-libs/libltdl:0= >=media-sound/gsm-1.0.12-r1 alsa? ( media-libs/alsa-lib
        ) amr? ( media-libs/opencore-amr ) ao? ( media-libs/libao ) encode? ( >=media-sound/lame-3.98.4
        ) flac? ( >=media-libs/flac-1.1.3 ) id3tag? ( media-libs/libid3tag ) ladspa?
        ( media-libs/ladspa-sdk ) mad? ( media-libs/libmad ) ogg? ( media-libs/libogg
        media-libs/libvorbis ) opus? ( media-libs/opus media-libs/opusfile ) png?
        ( media-libs/libpng:0= sys-libs/zlib ) pulseaudio? ( media-sound/pulseaudio
        ) sndfile? ( >=media-libs/libsndfile-1.0.11 ) twolame? ( media-sound/twolame
        ) wavpack? ( media-sound/wavpack ) virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      IUSE: alsa amr ao debug encode flac id3tag ladspa mad ogg openmp oss opus png
        pulseaudio sndfile static-libs twolame wavpack
      RDEPEND: dev-libs/libltdl:0= >=media-sound/gsm-1.0.12-r1 alsa? ( media-libs/alsa-lib
        ) amr? ( media-libs/opencore-amr ) ao? ( media-libs/libao ) encode? ( >=media-sound/lame-3.98.4
        ) flac? ( >=media-libs/flac-1.1.3 ) id3tag? ( media-libs/libid3tag ) ladspa?
        ( media-libs/ladspa-sdk ) mad? ( media-libs/libmad ) ogg? ( media-libs/libogg
        media-libs/libvorbis ) opus? ( media-libs/opus media-libs/opusfile ) png?
        ( media-libs/libpng:0= sys-libs/zlib ) pulseaudio? ( media-sound/pulseaudio
        ) sndfile? ( >=media-libs/libsndfile-1.0.11 ) twolame? ( media-sound/twolame
        ) wavpack? ( media-sound/wavpack )
      emerge.packages: media-sound/sox
      kit: media-kit
      original.package.name: media-sound/sox
      original.package.slot: "0"
      original.package.version: 14.4.2-r2
    treedir: /build/packages
  package_dir: /pkgdir/sox
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c0957242d931445a36ef66c176244b08846e477b4a65ee9a29960199e0f0fba9
compressiontype: zstd
files:
- usr/bin/play
- usr/bin/rec
- usr/bin/sox
- usr/bin/soxi
- usr/include/sox.h
- usr/lib64/libsox.la
- usr/lib64/libsox.so
- usr/lib64/libsox.so.3
- usr/lib64/libsox.so.3.0.0
- usr/lib64/pkgconfig/sox.pc
- usr/share/doc/sox-14.4.2-r2/AUTHORS.bz2
- usr/share/doc/sox-14.4.2-r2/ChangeLog.bz2
- usr/share/doc/sox-14.4.2-r2/NEWS.bz2
- usr/share/doc/sox-14.4.2-r2/README.bz2
- usr/share/man/man1/play.1.bz2
- usr/share/man/man1/rec.1.bz2
- usr/share/man/man1/sox.1.bz2
- usr/share/man/man1/soxi.1.bz2
- usr/share/man/man3/libsox.3.bz2
- usr/share/man/man7/soxeffect.7.bz2
- usr/share/man/man7/soxformat.7.bz2
- var/db/pkg/media-sound/sox-14.4.2-r2/BUILD_TIME
- var/db/pkg/media-sound/sox-14.4.2-r2/CATEGORY
- var/db/pkg/media-sound/sox-14.4.2-r2/CBUILD
- var/db/pkg/media-sound/sox-14.4.2-r2/CFLAGS
- var/db/pkg/media-sound/sox-14.4.2-r2/CHOST
- var/db/pkg/media-sound/sox-14.4.2-r2/CONTENTS
- var/db/pkg/media-sound/sox-14.4.2-r2/COUNTER
- var/db/pkg/media-sound/sox-14.4.2-r2/CXXFLAGS
- var/db/pkg/media-sound/sox-14.4.2-r2/DEFINED_PHASES
- var/db/pkg/media-sound/sox-14.4.2-r2/DEPEND
- var/db/pkg/media-sound/sox-14.4.2-r2/DESCRIPTION
- var/db/pkg/media-sound/sox-14.4.2-r2/EAPI
- var/db/pkg/media-sound/sox-14.4.2-r2/FEATURES
- var/db/pkg/media-sound/sox-14.4.2-r2/HOMEPAGE
- var/db/pkg/media-sound/sox-14.4.2-r2/INHERITED
- var/db/pkg/media-sound/sox-14.4.2-r2/IUSE
- var/db/pkg/media-sound/sox-14.4.2-r2/IUSE_EFFECTIVE
- var/db/pkg/media-sound/sox-14.4.2-r2/KEYWORDS
- var/db/pkg/media-sound/sox-14.4.2-r2/LDFLAGS
- var/db/pkg/media-sound/sox-14.4.2-r2/LICENSE
- var/db/pkg/media-sound/sox-14.4.2-r2/NEEDED
- var/db/pkg/media-sound/sox-14.4.2-r2/PF
- var/db/pkg/media-sound/sox-14.4.2-r2/PROVIDES
- var/db/pkg/media-sound/sox-14.4.2-r2/RDEPEND
- var/db/pkg/media-sound/sox-14.4.2-r2/REQUIRES
- var/db/pkg/media-sound/sox-14.4.2-r2/SIZE
- var/db/pkg/media-sound/sox-14.4.2-r2/SLOT
- var/db/pkg/media-sound/sox-14.4.2-r2/USE
- var/db/pkg/media-sound/sox-14.4.2-r2/environment.bz2
- var/db/pkg/media-sound/sox-14.4.2-r2/repository
- var/db/pkg/media-sound/sox-14.4.2-r2/sox-14.4.2-r2.ebuild
package_cacheimage: ""
runtime:
  name: sox
  version: 14.4.2
  category: media-sound
  use_flags:
  - alsa
  - amr
  - ao
  - encode
  - flac
  - id3tag
  - ladspa
  - mad
  - ogg
  - opus
  - png
  - pulseaudio
  - sndfile
  - twolame
  - wavpack
  requires:
  - name: ladspa-sdk
    version: '>=0'
    category: media-libs
  - name: libao
    version: '>=0'
    category: media-libs
  - name: libid3tag
    version: '>=0'
    category: media-libs
  - name: libmad
    version: '>=0'
    category: media-libs
  - name: libpng
    version: '>=0'
    category: media-libs
  - name: opencore-amr
    version: '>=0'
    category: media-libs
  - name: opusfile
    version: '>=0'
    category: media-libs
  - name: gsm
    version: '>=0'
    category: media-sound
  - name: lame
    version: '>=0'
    category: media-sound
  - name: twolame
    version: '>=0'
    category: media-sound
  - name: wavpack
    version: '>=0'
    category: media-sound
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The swiss army knife of sound processing programs
  uri:
  - http://sox.sourceforge.net
  license: LGPL-2.1
  labels:
    DEPEND: dev-libs/libltdl:0= >=media-sound/gsm-1.0.12-r1 alsa? ( media-libs/alsa-lib
      ) amr? ( media-libs/opencore-amr ) ao? ( media-libs/libao ) encode? ( >=media-sound/lame-3.98.4
      ) flac? ( >=media-libs/flac-1.1.3 ) id3tag? ( media-libs/libid3tag ) ladspa?
      ( media-libs/ladspa-sdk ) mad? ( media-libs/libmad ) ogg? ( media-libs/libogg
      media-libs/libvorbis ) opus? ( media-libs/opus media-libs/opusfile ) png? (
      media-libs/libpng:0= sys-libs/zlib ) pulseaudio? ( media-sound/pulseaudio )
      sndfile? ( >=media-libs/libsndfile-1.0.11 ) twolame? ( media-sound/twolame )
      wavpack? ( media-sound/wavpack ) virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    IUSE: alsa amr ao debug encode flac id3tag ladspa mad ogg openmp oss opus png
      pulseaudio sndfile static-libs twolame wavpack
    RDEPEND: dev-libs/libltdl:0= >=media-sound/gsm-1.0.12-r1 alsa? ( media-libs/alsa-lib
      ) amr? ( media-libs/opencore-amr ) ao? ( media-libs/libao ) encode? ( >=media-sound/lame-3.98.4
      ) flac? ( >=media-libs/flac-1.1.3 ) id3tag? ( media-libs/libid3tag ) ladspa?
      ( media-libs/ladspa-sdk ) mad? ( media-libs/libmad ) ogg? ( media-libs/libogg
      media-libs/libvorbis ) opus? ( media-libs/opus media-libs/opusfile ) png? (
      media-libs/libpng:0= sys-libs/zlib ) pulseaudio? ( media-sound/pulseaudio )
      sndfile? ( >=media-libs/libsndfile-1.0.11 ) twolame? ( media-sound/twolame )
      wavpack? ( media-sound/wavpack )
    emerge.packages: media-sound/sox
    kit: media-kit
    original.package.name: media-sound/sox
    original.package.slot: "0"
    original.package.version: 14.4.2-r2
